#
# spec file for package blocxx-doc (Version 1.0.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils doxygen e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libpng libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           blocxx-doc
BuildRequires:  doxygen
%define blocxx_version 1.0.0
Version:        1.0.0
Release:        17.2
License:        Other License(s), see package, BSD
Group:          Documentation/HTML
Autoreqprov:    on
Summary:        BloCXX - Documentation
URL:            http://forge.novell.com/modules/xfmod/project/?blocxx
Source0:        http://forgeftp.novell.com/blocxx/source/releases/blocxx-%{blocxx_version}.tar.bz2
#Patch0:        %{name}-%{version}.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch
%define         blocxx_docdir %{_defaultdocdir}/blocxx

%description
BloCXX is a general C++ framework for application development.

This package contains the BloCXX documentation (HTML).



Authors:
--------
    Bart Whiteley
    Dan Nuffer
    Guido Draheim
    Jon Carey
    Lars Brinkhoff
    Marius Tomaschewski
    Norm Paxton
    Peter Dimov
    and others

%debug_package
%prep
%setup -q -n blocxx-%{blocxx_version}
#%patch0 -p0
if test -f ./cvsbootstrap.sh ; then
	./cvsbootstrap.sh
else
	%{?suse_update_config:%{suse_update_config}}
fi

%build
#
# configure normal version
#
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
%configure --disable-ssl
#
# build documentation only
#
make %_smp_mflags docs

%install
export RPM_BUILD_ROOT
rm -rf ${RPM_BUILD_ROOT}
install -m0755 -d ${RPM_BUILD_ROOT}/%{blocxx_docdir}
for f in doc/BloCxx_Binary_Compatibility.html \
         doc/blocxx_coding_guide.txt \
         doc/PORTING.txt doc/logging.txt
do
    install -m0644 $f ${RPM_BUILD_ROOT}/%{blocxx_docdir}/
done
pushd docs
find html \( -type d -exec install -m755 -d \
             ${RPM_BUILD_ROOT}/%{blocxx_docdir}/\{\} \; \) \
       -o \( -type f -exec install -m644 \{\} \
             ${RPM_BUILD_ROOT}/%{blocxx_docdir}/\{\} \; \)
popd

%files
%defattr(-,root,root)
%dir %blocxx_docdir
%doc %blocxx_docdir/BloCxx_Binary_Compatibility.html
%doc %blocxx_docdir/blocxx_coding_guide.txt
%doc %blocxx_docdir/PORTING.txt
%doc %blocxx_docdir/logging.txt
%doc %blocxx_docdir/html

%changelog -n blocxx-doc
* Tue Apr 11 2006 - cthiel@suse.de
- Reduce BuildRequires
* Mon Mar 13 2006 - mt@suse.de
- New blocxx-doc noarch package extracted from blocxx.
